%define	pre	pre6a

Summary:	Incredibly addictive 2D dogfight game
Name:		airstrike
Epoch:		1
Version:	1.0
Release:	%mkrel -c %{pre} 8
License:	GPL
Group:		Games/Arcade
Source0:	http://icculus.org/%{name}/%{name}-%{pre}-src.tar.gz
Source11:	%{name}-16x16.png
Source12:	%{name}-32x32.png
Source13:	%{name}-48x48.png
Patch0:		airstrike-pre6a-config.patch
Patch1:		airstrike-pre6a-optflags.patch
Patch3:		airstrike-pre6a-fix-build.patch
Patch4:		airstrike-pre6a-fix-link-flags.patch
URL:		http://icculus.org/airstrike/
BuildRequires:	pkgconfig(sdl)
BuildRequires:	pkgconfig(SDL_mixer)
BuildRequires:	pkgconfig(SDL_image)

%description
Airstrike is a 0-2 players 2d dogfight game in the tradition of the 
Intellivision and Amiga games 'Biplanes' and 'BIP'. It features a robust 
physics engine and several other extensions of the original games, 
such as povray made graphics and incredible gameplay.

%prep
%setup -q -n %{name}-%{pre}-src
%autopatch -p1

%build
%make_build OPTFLAGS="%{optflags}" airstrike-sound

%install
install -m755 airstrike -D %{buildroot}%{_gamesbindir}/airstrike.bin

# Launch script
cat <<EOF > %{buildroot}%{_gamesbindir}/%{name}
#!/bin/sh
if [ ! -e \$HOME/.airstrikerc ]; then
	cp %{_gamesdatadir}/%{name}/airstrikerc \$HOME/.airstrikerc
fi
cd %{_gamesdatadir}/%{name}
airstrike.bin \$@
EOF
chmod 755 %{buildroot}%{_gamesbindir}/%{name}

install -m644 airstrikerc -D %{buildroot}%{_gamesdatadir}/%{name}/airstrikerc
cp -r data  %{buildroot}%{_gamesdatadir}/%{name}

install -m644 doc/%{name}.6 -D %{buildroot}%{_mandir}/man6/%{name}.6 

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=AirStrike
Comment=Incredibly addictive 2D dogfight game
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=Game;ArcadeGame;
EOF

install -m644 %{SOURCE11} -D %{buildroot}%{_miconsdir}/%{name}.png
install -m644 %{SOURCE12} -D %{buildroot}%{_iconsdir}/%{name}.png
install -m644 %{SOURCE13} -D %{buildroot}%{_liconsdir}/%{name}.png

%files 
%doc ChangeLog README doc
%{_gamesbindir}/*
%dir %{_gamesdatadir}/%{name}
%{_gamesdatadir}/%{name}/*
%{_mandir}/man6/%{name}.6*
%{_datadir}/applications/%{name}.desktop
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 1:1.0-0.pre6a.8.mga8
+ Revision: 1508422
- Mageia 8 Mass Rebuild

* Fri Sep 21 2018 umeabot <umeabot> 1:1.0-0.pre6a.7.mga7
+ Revision: 1294233
- Mageia 7 Mass Rebuild

* Thu Oct 13 2016 daviddavid <daviddavid> 1:1.0-0.pre6a.6.mga6
+ Revision: 1060606
- fix desktop file Categories (mga#2449)
- fix Summary of desktop file

* Sat Feb 06 2016 umeabot <umeabot> 1:1.0-0.pre6a.5.mga6
+ Revision: 940499
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1:1.0-0.pre6a.4.mga5
+ Revision: 747804
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1:1.0-0.pre6a.3.mga5
+ Revision: 677724
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1:1.0-0.pre6a.2.mga4
+ Revision: 502466
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 1.0-1.pre6a.9.mga3
+ Revision: 345356
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 15 2012 pterjan <pterjan> 1.0-1.pre6a.8.mga3
+ Revision: 331103
- Fix build
+ dams <dams>
- add a patch from Nicolas Lécureuil to fix includes

* Tue Mar 22 2011 dmorgan <dmorgan> 1.0-1.pre6a.7.mga1
+ Revision: 75541
- Remove mdv macros
- imported package airstrike


* Thu Dec 09 2010 Oden Eriksson <oeriksson@mandriva.com> 1.0-1.pre6a.7mdv2011.0
+ Revision: 616539
- the mass rebuild of 2010.0 packages

* Tue Sep 01 2009 Thierry Vignaud <tv@mandriva.org> 1.0-1.pre6a.6mdv2010.0
+ Revision: 423987
- rebuild

* Tue Sep 01 2009 Thierry Vignaud <tv@mandriva.org> 1.0-1.pre6a.5mdv2010.0
+ Revision: 423936
- rebuild

* Tue Sep 01 2009 Thierry Vignaud <tv@mandriva.org> 1.0-1.pre6a.4mdv2010.0
+ Revision: 423880
- rebuild

* Thu Jun 12 2008 Pixel <pixel@mandriva.com> 1.0-1.pre6a.3mdv2009.0
+ Revision: 218437
- rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

  + Thierry Vignaud <tv@mandriva.org>
    - drop old menu

* Thu Dec 20 2007 Olivier Blin <oblin@mandriva.com> 1.0-1.pre6a.3mdv2008.1
+ Revision: 135819
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request
    - import airstrike


* Mon Sep 04 2006 Nicolas Lécureuil <neoclust@mandriva.org> 1.0-1.pre6a.3mdv2007.0
- XDG

* Wed Jun 28 2006 Lenny Cartier <lenny@mandriva.com> 1.0-1.pre6a.2mdv2007.0
- rebuild

* Wed Aug 31 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.0-1.pre6a.1mdk
- pre6a
- regenerate and apply config patch (P0)
- be sure to use optimizations again (regenerate P1 and actually apply it)
- make airstrike look in the correct path for data (P2, disabled, causes problem
  some weird reason..)
- compile with sound support
- cleanups
- %%mkrel

* Wed Sep 01 2004 Robert Vojta <robert.vojta@mandrake.org> 1.0-0.pre6.3mdk
- More applications -> More Applications (#11006)

* Wed Apr 07 2004 Michael Scherer <misc@mandrake.org> 1.0-0.pre6.2mdk 
- rebuild
- update menu
- update BuildRequires

* Thu Feb 27 2003 Antoine Ginies <aginies@mandrakesoft.com> 1.0-0.pre6.1mdk
- rebuild snapshot 18 feb 2003

* Tue Nov 12 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.0-0.pre4.3mdk
- from Per Øyvind Karlsen <peroyvind@delonic.no> :
	- Put stuff in corrects places
	- Added menuitem
	- Added icons
	- Cleanups
	- Optimize flags(Patch #1)
	- Enable sound

* Thu Oct 24 2002 Amaury Amblard-Ladurantie <amaury@mandrakesoft.com> 1.0-0.pre4.2mdk
- added default config patch

* Tue Oct 22 2002 Amaury Amblard-Ladurantie <amaury@mandrakesoft.com> 1.0-0.pre4.1mdk
- first release
